[page:Object3D] → [page:Mesh] →

# [name]

Renders a sphere to visualize a light probe in the scene.

## Import

[name] is an add-on, and must be imported explicitly. See [link:#manual/introduction/Installation Installation / Addons].

`import { LightProbeHelper } from 'three/addons/helpers/LightProbeHelper.js';`

## Code Example

`const helper = new LightProbeHelper( lightProbe, 1 ); scene.add( helper );`

## Examples

[example:webgl_lightprobe_cubecamera WebGL / lightprobe / cubecamera]

## Constructor

### [name]( [param:LightProbe lightProbe], [param:Number size] )

[page:LightProbe lightProbe] -- the light probe.
[page:Number size] -- size of the helper sphere

## Properties

See the base [page:Mesh] class for common properties.

### [property:LightProbe lightProbe]

The light probe.

### [property:Number size]

The size of the helper sphere.

## Methods

See the base [page:Mesh] class for common methods.

### [method:undefined dispose]()

Frees the GPU-related resources allocated by this instance. Call this method whenever this instance is no longer used in your app.

## Source

[link:https://github.com/mrdoob/three.js/blob/master/examples/jsm/helpers/LightProbeHelper.js examples/jsm/helpers/LightProbeHelper.js]